package nl.hro.listenersdemo;

import android.app.Activity;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.TextView;

    /** Uitleg over "automatische" listeners
	 * Omdat een aantal functies regelmatig worden gebruikt,
	 * heeft Android het makkelijk gemaakt om deze in je 
	 * applicatie toe te voegen. Hiervoor hoef je alleen maar
	 * de functie op te nemen in je code, en wordt deze 
	 * automatisch gebruiktzijn te herkennen aan
	 * "on..." wat er voor staat, wat betekent dat er een
	 * bepaald Event wordt afgevangen.
	 * 
	 * (Omdat we de Activity extenden, is er dus eigenlijk
	 * al een versie van deze functie, die we nu overschrijven)
	 * 
	 */
public class ListenersDemo1 extends Activity {

	TextView txt;

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		txt = (TextView) this.findViewById(R.id.TextField1);
	}

	public boolean onCreateOptionsMenu(Menu menu) {
		
		menu.add("wijzig tekst");
		return super.onCreateOptionsMenu(menu);
	}
	
	public boolean onOptionsItemSelected(MenuItem item) {
		
		txt.setText("Er is op het menu geklikt");
		return false;	
	}
	
	public boolean onKeyUp(int keyCode, KeyEvent event) {
		
		if (keyCode == KeyEvent.KEYCODE_ENTER) {

			txt.setText("Er is op \"Enter\" gedrukt");
				
			// return true betekent dat geen enkele
			// andere listener dit event meer hoeft 
			// af te vangen
			return true;
		}

		return super.onKeyUp(keyCode, event);
	}
}