package nl.hro.listenersdemo;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;

/**
 * Uitleg over 'handmatig' listeners toevoegen
 * 
 * Nu maken we een automatische invulling van de interface OnClickListener
 * en daarbij vullen we gelijk in de method onClick in wat er moet gebeuren. 
 * 
 * Deze variant is het lastigst om te begrijpen. Eigenlijk wordt hier intern
 * eerst een object aangemaakt, dat object implementeert de interface
 * onClickListener met de invulling zoals we die opgeven. 
 * 
 */
public class ListenersDemo3 extends Activity {

	TextView txt;

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		setContentView(R.layout.main);
		txt = (TextView) this.findViewById(R.id.TextField1);
		LinearLayout l = (LinearLayout) this.findViewById(R.id.Layout1);
		Button b = new Button(this);
		l.addView(b);
		b.setOnClickListener( 		
	    	new OnClickListener() {
				public void onClick(View v) {
					
					txt.setText("Er is op de button geklikt via anonieme listener");				
				}
			});
	}
	
	
}
